package net.minecraft.client.gui.chat;

import java.util.UUID;
import net.minecraft.network.chat.Component;
import net.minecraft.network.chat.ChatType;
import net.minecraft.client.Minecraft;

public class OverlayChatListener implements ChatListener {
    private final Minecraft minecraft;
    
    public OverlayChatListener(final Minecraft dlx) {
        this.minecraft = dlx;
    }
    
    @Override
    public void handle(final ChatType mo, final Component mr, final UUID uUID) {
        if (this.minecraft.isBlocked(uUID)) {
            return;
        }
        this.minecraft.gui.setOverlayMessage(mr, false);
    }
}
